Overview
Many objects allow you to request additional information as an expanded response by using the expand request parameter.
This parameter is available on some API requests, and applies to the response of that request only.
In many cases, an object contains the ID of a related object in its response properties. For example, a Subscription
will have an associated Price and Product ID. You can expand these objects in line with the expand request parameter.
Fields marked as Expandable in the API reference indicate fields that you can expand into full objects.
You can expand multiple objects at the same time by identifying multiple items in the expand property by separating
them with commas.
curl --request GET \
--url 'https://api.acquired.com/v1/subscriptions/01KGM26PY4N5N05NECS36FHHFR?expand=price,product' \
--header 'accept: application/json'Responses
Default Response
{
"id": "01KGFNCDRCP55BG8SBXRJ774HB",
// ...
"product": {
"product_id": "01KGFNCDRC0AFCVJM24SD37ES8"
},
"price": {
"price_id": "01KGFNCDRCKDFX4BWFZBGG6RZS"
},
// ...
}Expanded Response
{
"id": "01KGFNCDRCP55BG8SBXRJ774HB",
// ...
"product": {
"product_id": "01KGFNCDRC0AFCVJM24SD37ES8",
"name": "Premium Tier",
"description": "Access to all premium features and priority support",
"created_at": "2026-02-02T17:11:09.836+00:00"
},
"price": {
"price_id": "01KGFNCDRCKDFX4BWFZBGG6RZS",
"product_id": "01KGFNCDRC0AFCVJM24SD37ES8",
"usage_type": "fixed",
"amount": 999,
"cycle_details": {
"interval": "month",
"interval_count": 1
},
"currency": "GBP",
"created_at": "2026-02-02T17:11:09.837+00:00"
},
// ...
}